#!/usr/bin/php -f
<?php

namespace AbraFlexi\Processor;

/**
 * System.Spoje.Net - WebHook Acceptor & Saver to SQL Cache.
 *
 * @author     Vítězslav Dvořák <info@vitexsoftware.cz>
 * @copyright  2017-2020 Spoje.Net 2021-2023 VitexSoftware
 */
define('APP_NAME', 'HistoryInitializer');
require_once "/var/lib/composer/abraflexi-changes-processor/autoload.php";

\Ease\Shared::init(['DB_TYPE','DB_HOST','DB_PORT','DB_DATABASE','DB_USERNAME','DB_PASSWORD'], '/etc/abraflexi-changes-processor/.env');

$changesApi = new ChangesApi();
$sourceId = $changesApi->getSourceId();
if (empty($sourceId)) {
    $sourceId = $changesApi->registerApi();
}
$prehistoric = new FlexiHistory(null, ['operation' => 'import']);

if ($sourceId) {
    $prehistoric->importHistory($sourceId);
} else {
    $prehistoric->addStatusMessage(_('Source not found in database.'), 'error');
}
