<?php

namespace AbraFlexi\Processor;

/**
 * WebHook Acceptor & Saver to SQL Cache.
 *
 * @author     Vítězslav Dvořák <info@vitexsoftware.cz>
 * @copyright  2017-2022 Spoje.Net, 2021-2023 VitexSoftware
 */
define('APP_NAME', 'AbraFlexiChangesProcessor');
require_once "/var/lib/composer/abraflexi-changes-processor/autoload.php";

\Ease\Shared::init(['DB_TYPE','DB_HOST','DB_PORT','DB_DATABASE','DB_USERNAME','DB_PASSWORD'], '/etc/abraflexi-changes-processor/.env');

$hooker = new ChangesApi();
if (\Ease\Functions::cfg('APP_DEBUG')) {
    $hooker->logBanner(\Ease\Shared::appName());
}

if (\Ease\Functions::cfg('PROCESSING_ENABLED') == 'True') {
    $lockerPid = $hooker->locked();
    if ($lockerPid == 0) {
        $hooker->lock();
        $hooker->processCachedChanges();
        $hooker->unlock();
    } else {
        $hooker->addStatusMessage(sprintf(_('Waiting for PID %d to be done'),
                        $lockerPid), 'debug');
    }
} else {
    $hooker->addStatusMessage(_('Changes processing is disabled. (set PROCESSING_ENABLED=True to enable)'), 'warning');
}
